Subject: bug#740: [devuan-dev] Libseat support for xorg

From: Mark Hindley <[email-masked]>
Date: Thu, 2 Feb 2023 08:23:05 +0000

On Thu, Feb 02, 2023 at 12:41:31PM +1100, [email-masked] wrote:
> 
> 
> > On 2 Feb 2023, at 12:30, [email-masked] wrote:
> > 
> > I have reported one bug testing libseat1 with elogind.
> > 
> > If I am testing again with seatd installed should I also remove elogind? That appears to want to remove some other packages and install consolekit.
> 
> I just tested with seatd and elogind both installed. The logs appear to show running with seatd.
> 
> All looks good and no problems with seatd from initial testing:
> 
> login to virtual console.
> Run openbox with startx.
> Unplug/replug keyboard, mouse, and two hdmi monitors.
> Login to multiple VC/startx at the same time and switch between them.

The fact that this works OK with the seatd backend but not the logind one
suggests a bug in the libseat logind backend rather than our xorg patch.

Mark